Skip to content

Lists POS transactions

Request

GET {{baseURL}}/pos-api/v1/pos-transactions

Security
Bearer
Query
pageinteger, (int32)

Specifies the page number of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Values above the maximum page value will complete successfully but not return any items.

Example: 0

Default:0
pageSizeinteger, (int32)

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Example: 50

Default:15
orderBystring

Specifies the field the results get ordered by.

The sort order is specified by the asc value.

Example: contactName

ascboolean

Specifies the sort order is ascending.

The sort field is specified by the orderBy value.

If true, the sort order is ascending.
If false, the sort order is descending.

Example: true

Default:true
terminalIdstring, (uuid)

Specifies the terminal identifier.

Example:terminalId=2428b5e7-6386-42ad-8b1c-d2a9032da4b3
curl -i -X GET \
  'https://developer.flute.com/_mock/api-reference/pos-api/v1/pos-transactions?page=0&pageSize=15&orderBy=string&asc=true&terminalId=2428b5e7-6386-42ad-8b1c-d2a9032da4b3' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects or null
totalinteger, (int32)

Indicates the total number of POS (point of service) transactions found.

Example: 124

Example:124
Response
{ "items": [ { "id": "8b6c7c7e-6c62-4e7a-9e0c-3d3c1c4d9f9d", "createdOn": "2025-12-15T10:35:52.5407322Z", "terminalId": "c2a1a3c2-2d9e-4c0e-b0f4-6a7b5f1e2d11", "posTransactionStatusId": 6, "posTransactionStatus": "Completed", "transactionId": "1f7e3d2a-9c4b-4c7d-8b7e-2a3c4d5e6f70", "amount": 10, "currencyId": 1, "targetTransactionId": null, "transactionTypeId": 2, "transactionType": "Sale", "isCompleted": true } ], "total": 100 }